Issues with dev tools

hi Guys,

i get the following errors when running the CLI tools:

$ phalcon commands

Phalcon DevTools (1.1.0)

dyld: lazy symbol binding failed: Symbol not found: phalconexpiscallablemethodex Referenced from: /usr/local/zend/lib/php_extensions/phalcon.so Expected in: flat namespace

dyld: Symbol not found: phalconexpiscallablemethodex Referenced from: /usr/local/zend/lib/php_extensions/phalcon.so Expected in: flat namespace

i use a very bare version of Zend Server and build the 32 bit version if phalcon using: ```bash cd cphalcon/build/32bits export CFLAGS="-O2 -fno-delete-null-pointer-checks -finline-functions -fomit-frame-pointer -march=core2 -m32" sudo make clean sudo phpize --clean phpize ./configure --enable-phalcon make && sudo make install ``` Does anybody have clue as to why i'm getting these errors?

Thanks!



81.1k

Try:

cd cphalcon/build/32bits
export CC="gcc"
export CFLAGS="-O2 -fno-delete-null-pointer-checks -finline-functions -fomit-frame-pointer -march=core2 -m32"
sudo make clean
sudo phpize --clean
phpize
./configure --enable-phalcon
make && sudo make install

btw, why aren't you using the default installer?



5.0k

Still the same problem, i used the installer but it detected a 64 bit system and compiled the 64bit version. My php is compiled for 32bit (default by zend, don't ask me why).



5.0k

Phalcon DevTools (1.1.0)

dyld: lazy symbol binding failed: Symbol not found: phalconexpiscallablemethodex Referenced from: /usr/local/zend/lib/php_extensions/phalcon.so Expected in: flat namespace

dyld: Symbol not found: phalconexpiscallablemethodex Referenced from: /usr/local/zend/lib/php_extensions/phalcon.so Expected in: flat namespace

/Users/stephenhoogendijk/phalcon-tools/phalcon: line 78: 30199 Trace/BPT trap: 5 php "$PTOOLSPATH/phalcon.php" $*



81.1k

Maybe the phpize used to compile the extension is not the one provided by Zend Server, can you post the log of the compilation (the output produced by make and phpize)?



5.0k

Oke please don't scold me but i accidentally moved the wrong extension after make install. Using the zend phpize seemed to work. I think I'll make a homebrew recipe for phalcon.